
U++ - Task #1628

Update libraries

01/29/2017 11:41 PM - Miroslav Fidler

Status: New Start date: 01/29/2017

Priority: Normal Due date:

Assignee: Miroslav Fidler % Done: 0%

Category: General Estimated time: 0.00 hour

Target version: Release 2021.1 Spent time: 0.00 hour

Description

I created some possible list of plugins to update (with links):

uppsrc/plugin/bz2:

http://www.bzip.org/downloads.html

http://www.bzip.org/1.0.6/bzip2-1.0.6.tar.gz

uppsrc/plugin/glew:

http://glew.sourceforge.net/

http://glew.sourceforge.net/log.html

https://sourceforge.net/projects/glew/files/glew/

https://sourceforge.net/projects/glew/files/glew/2.0.0/glew-2.0.0.tgz/download

uppsrc/plugin/jpg:

http://www.ijg.org/

http://www.ijg.org/files/jpegsrc.v9b.tar.gz

uppsrc/plugin/lz4

http://www.lz4.org

https://github.com/lz4/lz4

https://github.com/lz4/lz4/releases/tag/v1.7.5

https://github.com/lz4/lz4/archive/v1.7.5.tar.gz

uppsrc/plugin/lzma:

http://www.7-zip.org/sdk.html

v16.04:

http://www.7-zip.org/a/lzma1604.7z

uppsrc/plugin/pcre

http://www.pcre.org/

https://ftp.pcre.org/pub/pcre/pcre-8.40.zip

https://ftp.pcre.org/pub/pcre/pcre2-10.22.zip

uppsrc/plugin/png:

http://www.libpng.org/pub/png/libpng.html

https://sourceforge.net/projects/libpng/files/libpng16/1.6.28/

http://download.sourceforge.net/libpng/libpng-1.6.28.tar.gz

https://sourceforge.net/projects/libpng/files/libpng12/1.2.57/

http://download.sourceforge.net/libpng/libpng-1.2.57.tar.gz

uppsrc/plugin/sqlite3:

https://www.sqlite.org/

https://www.sqlite.org/download.html

https://www.sqlite.org/releaselog/3_16_2.html
https://www.sqlite.org/2017/sqlite-amalgamation-3160200.zip

uppsrc/plugin/tif:

http://www.libtiff.org/

http://www.libtiff.org/v3.6.1.html

http://dl.maptools.org/dl/libtiff/

http://dl.maptools.org/dl/libtiff/tiff-3.8.2.tar.gz

uppsrc/plugin/z:

http://zlib.net/

http://zlib.net/ChangeLog.txt

http://zlib.net/zlib-1.2.11.tar.gz

uppsrc/plugin/zstd:

http://facebook.github.io/zstd/

https://github.com/facebook/zstd

https://github.com/facebook/zstd/releases/tag/v1.1.2

https://github.com/facebook/zstd/archive/v1.1.2.tar.gz

Not sure about uppsrc/plugin/tif, because of different versions on home page and download page.

Related issues:

Related to Task # 1647: uppsrc/plugin/sqlite3: Update to 3.17.0 version Approved 02/23/2017

Related to Task # 1648: uppsrc/plugin/z: Update to 1.2.11 version Approved 02/23/2017

History

#1 - 02/22/2017 09:27 AM - Miroslav Fidler

libpng updated

#2 - 02/23/2017 11:57 AM - Sender Ghost

- Related to Task #1647: uppsrc/plugin/sqlite3: Update to 3.17.0 version added

#3 - 02/23/2017 11:57 AM - Sender Ghost

- Related to Task #1648: uppsrc/plugin/z: Update to 1.2.11 version added

#4 - 02/24/2017 10:29 PM - Zbigniew Rebacz

We should only add the most stable versions of that library. We cannot risk with experimental versions.

#5 - 11/12/2017 06:38 PM - Zbigniew Rebacz

- Category set to General

- Assignee set to Miroslav Fidler

- Target version set to Release 2017.2

Can we close this issue? I see you updated several libraries?

#6 - 11/12/2017 06:38 PM - Zbigniew Rebacz

- Tracker changed from Bug to Task
#7 - 12/24/2017 06:36 PM - Zbigniew Rebacz

- Target version changed from Release 2017.2 to Release 2018.1

#8 - 04/03/2018 10:01 PM - Zbigniew Rebacz

- Target version changed from Release 2018.1 to Release 2019.1

#9 - 06/24/2019 01:28 AM - Zbigniew Rebacz

- Target version changed from Release 2019.1 to Release 2019.2

#10 - 11/01/2019 11:20 AM - Zbigniew Rebacz

- Target version changed from Release 2019.2 to Release 2020.1

#11 - 05/24/2020 12:44 PM - Zbigniew Rebacz

- Target version changed from Release 2020.1 to Release 2020.2

#12 - 10/21/2020 11:33 PM - Zbigniew Rebacz

- Target version changed from Release 2020.2 to Release 2021.1
